## org.apache.axis.handlers
Class SOAPMonitorHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.SOAPMonitorHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class SOAPMonitorHandler
extends BasicHandler

This handler is used to route SOAP messages to the SOAP monitor service.

Author:
  Brian Price (pricebe@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`log, makeLockable, name, options`

Constructor Summary
`SOAPMonitorHandler()` Constructor

Method Summary
`void` `invoke(MessageContext messageContext)` Process and SOAP message

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPMonitorHandler

    public SOAPMonitorHandler()

  Constructor

Method Detail

### invoke

    public void invoke(MessageContext messageContext)
                throws AxisFault

  Process and SOAP message

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.